%global pypi_name googleapis-common-protos

Name:           python-%{pypi_name}
Version:        1.57.0
Release:        %mkrel 2
Summary:        Common protobufs used in Google APIs
Group:          Development/Python
License:        Apache-2.0
URL:            https://github.com/googleapis/python-api-common-protos
Source0:        https://files.pythonhosted.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch1:         googleapis-common-protos-reqs.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(protobuf) >= 3.19.5

%description
Google APIs common protos. googleapis-common-protos contains the python classes
generated from the common protos in the googleapis/api-common-protos
repository.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Google APIs common protos. googleapis-common-protos contains the python classes
generated from the common protos in the googleapis/api-common-protos
repository.


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files google

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{python3_sitelib}/googleapis_common_protos-%{version}-py%{python3_version}-*.pth


%changelog
* Sun Dec 18 2022 wally <wally> 1.57.0-2.mga9
+ Revision: 1925235
- fix reqs

* Sun Dec 18 2022 wally <wally> 1.57.0-1.mga9
+ Revision: 1925215
- new version 1.57.0

* Mon Aug 08 2022 wally <wally> 1.56.4-1.mga9
+ Revision: 1876231
- new version 1.56.4

* Sun May 29 2022 wally <wally> 1.56.2-1.mga9
+ Revision: 1860656
- imported package python-googleapis-common-protos

